Bug 826745 - Undefined non-weak symbols
Summary: Undefined non-weak symbols
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport
Version: 6.3
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: abrt
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-30 21:24 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
8 users (show)

Fixed In Version: libreport-2.0.9-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:53:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0290 normal SHIPPED_LIVE abrt, libreport and btparser bug fix and enhancement update 2013-02-20 20:55:47 UTC

Description David Kovalsky 2012-05-30 21:24:16 UTC
`prelink -avMR' shows the following warning:


Prelinking /usr/lib64/libabrt_web.so.0.0.1
prelink: Warning: /usr/lib64/libabrt_web.so.0 has undefined non-weak symbols


libreport-2.0.9-5.el6.x86_64

Comment 1 Nikola Pajkovsky 2012-05-31 12:35:31 UTC
Jiri take that one

commit 27257a32c88c404a5e13521d38742bd5a8a7d955
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Tue May 15 15:09:32 2012 +0200

    prelink: fix undefined non-weak symbols
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

Comment 4 Nikola Pajkovsky 2013-01-08 14:42:15 UTC
abrt also needs following patch

commit 6c96fe597fb578f59efc36e39487dbbfc6f9e4b6
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Tue May 15 13:27:08 2012 +0200

    libabrt: link with libreport
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

fully resolve prelinks weak-symobls

Comment 6 Jiri Moskovcak 2013-01-24 14:59:21 UTC
Cause
    Wrong linker parameters
Consequence
    Errors when running prelink on the affected libraries
Fix
    Add the proper linker flags
Result
    No errors when running prelink on abrt libreries

Comment 7 errata-xmlrpc 2013-02-21 07:53:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0290.html


Note You need to log in before you can comment on or make changes to this bug.